Summary:	xfontsel application - point and click selection of X11 font names
Summary(pl.UTF-8):	Aplikacja xfontsel - wybór fontów X11 przy użyciu myszki
Name:		xorg-app-xfontsel
Version:	1.1.1
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xfontsel-%{version}.tar.xz
# Source0-md5:	5fc779e2f68c03c781521944c4c5060b
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xfontsel application provides a simple way to display the fonts
known to your X server, examine samples of each, and retrieve the X
Logical Font Description (XLFD) full name for a font.

%description -l pl.UTF-8
Aplikacja xfontsel udostępnia łatwy sposób wyświetlania fontów
widocznych dla serwera X, oglądanie ich przykładów i odczytywanie
pełnych nazw XLFD (X Logical Font Description) dla fontów.

%prep
%setup -q -n xfontsel-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xfontsel
%{_datadir}/X11/app-defaults/XFontSel
%{_mandir}/man1/xfontsel.1*
%changelog
* Mon Mar 04 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xfontsel.git;a=log;h=master

* Mon Mar 04 2024 Jakub Bogusz <qboosh@pld-linux.org> ae0aadd
- updated to 1.1.1

* Tue Jul 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 017253f
- updated to 1.1.0

* Thu Mar 15 2018 Jakub Bogusz <qboosh@pld-linux.org> b461537
- updated to 1.0.6

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 4e9c7d2
- fix files
- rel 2

* Tue May 21 2013 Jakub Bogusz <qboosh@pld-linux.org> d56a9a5
- updated to 1.0.5

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 1876bbd
- updated to 1.0.4

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> c33cfc6
- dropped pre-cvs changelog

* Wed Sep 29 2010 Jakub Bogusz <qboosh@pld-linux.org> b6803a9
- updated 1.0.3
- removed obsolete xaw patch

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 882e265
- rel 3

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d71934a
- new

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d3644b
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 040b201
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dad4b14
- converted to UTF-8

* Sat Feb 03 2007 Jakub Bogusz <qboosh@pld-linux.org> e850e2d
- updated to 1.0.2

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> b587ae9
- use individual dir, more verbose files, release 1

* Mon Jan 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 5bfc9d2
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 40c29fd
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 478e13d
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 41abb20
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 500bc57
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

